import controlP5.*;
import peasy.*;

ControlP5 cp5;
PeasyCam cam;

Table table;
int rowNums;

int ellipseSize = 300;

float countAxis;
float dateAxis;
color c; 
float monthAxis;

float constantHorizontalMargin = 160;
float constantVerticalMargin = 100;


PFont myFont;

ArrayList<Book> books = new ArrayList<Book>();

void setup(){
  size(1280, 720, P3D);
  cam = new PeasyCam(this, 200);
  cam.setMinimumDistance(100);
  cam.setMaximumDistance(4000);
  cp5 = new ControlP5(this);
  
  table = loadTable("data2006-2015.csv", "header");
  rowNums = table.getRowCount();
  println("Rows: " + rowNums);
  
  for (int i = 0; i<rowNums; i++){
    String title = table.getString(i,0);
    String type = table.getString(i,1);
    String date = table.getString(i,3);
    int count = table.getInt(i,5);
    books.add(new Book(type, date, count, title));
  }
  
  println("Number of Books: " + books.size());
  
  println(books.get(0).title);
  println(books.get(0).date);
  println(books.get(0).type);
  println(books.get(0).count);
  println(dateAxis);
  
  myFont = createFont("Consola.ttf",100);
  smooth();
  
}

void draw(){
  background(0);
  //lights();
  
  initial();
 
  // fixedDisplay(); function within HUD tab 
  fixedDisplay();
  
  println("Date: " + dateAxis);
  println("Counts: " + countAxis);
  
  // keyPressed(); function within interaction tab 
  keyPressed();
 
}